Subject: bug#35273: "Marker does not point anywhere" when reading next article

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Apr 2019 19:49:48 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 27 Apr 2019 12:17:25 -0400
> 
> >> > > I think it would be better to try to understand how we got such an
> >> > > overlay.  Was it deleted, per chance?
> >> > 
> >> > I entirely agree with this, but how to check for that?
> >> 
> >> But a breakpoint in delete-overlay?
> 
> I managed to reproduce (wasn't too hard actually).  All the overlay
> deletion seems to come from gnus.  I got hits from erase-buffer (called
> by gnus), gnus-kill-all-overlays, and gnus-cite-delete-overlays.

OK, thanks.  Then I think it would be better to test the overlay for
being dead in xdisp.c, before we call mouse_face_overlay_overlaps.
Also, a faster test would be to check that the marker's buffer is a
NULL pointer, doing that doesn't require a call marker-position.
WDYT?